com.google.cloud.dataflow.examples.common

## Class PubsubFileInjector.Unbound

- java.lang.Object
- - com.google.cloud.dataflow.examples.common.PubsubFileInjector.Unbound

Enclosing class:
  PubsubFileInjector

    public static class PubsubFileInjector.Unbound
    extends Object

An incomplete `PubsubFileInjector` transform with unbound output topic.

### Method Summary

All Methods Instance Methods Concrete Methods
`PubsubFileInjector.Bound` `publish(String outputTopic)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### publish

    public PubsubFileInjector.Bound publish(String outputTopic)